package gs.log.v0

import gs.uuid.v0.UUID

/** Trace information for logger output. Based on OpenTelemetry distributed
  * traces.
  *
  * @param traceId
  *   The unique identifier of the distributed trace. This is a 128-bit UUID.
  * @param spanId
  *   The unique identifier of the current span. This is a 64-bit value.
  */
case class LogTrace(
  traceId: UUID,
  spanId: Long
)
